package org.rcisoft.bus.storegoods.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.bus.storegoods.entity.StoreGoods;
import org.rcisoft.bus.storegoodsapply.entity.StoreGoodsApply;
import org.rcisoft.bus.wmsgoodsapply.entity.WmsGoodsApply;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.sys.ossInfo.entity.OssInfo;

import java.util.List;

/**
 * Created by cy on 2024年5月29日 下午1:21:49.
 */
public interface StoreGoodsService {

    /**
     * 保存 商品信息表
     *
     * @param storeGoods
     * @return
     */
    CyPersistModel persist(StoreGoods storeGoods);

    /**
     * 删除 商品信息表
     *
     * @param storeGoods
     * @return
     */
    CyPersistModel remove(StoreGoods storeGoods);

    CyPersistModel delOss(StoreGoods storeGoods);

    /**
     * 逻辑删除 商品信息表
     *
     * @param storeGoods
     * @return
     */
    CyPersistModel removeLogical(StoreGoods storeGoods);

    /**
     * 修改 商品信息表
     *
     * @param storeGoods
     * @return
     */
    CyPersistModel merge(StoreGoods storeGoods);

    /**
     * 根据id查询 商品信息表
     *
     * @param id
     * @return
     */
    StoreGoods findById(int id);

    /**
     * 分页查询 商品信息表
     *
     * @param storeGoods
     * @return
     */
    IPage<StoreGoods> findAllByPagination(CyPageInfo<StoreGoods> paginationUtility,
                                          StoreGoods storeGoods);


    /**
     * 查询list 商品信息表
     *
     * @param storeGoods
     * @return
     */
    List<StoreGoods> findAll(StoreGoods storeGoods);


    /**
     * 导出商品信息表
     *
     * @return
     */
    List<StoreGoods> export(StoreGoods storeGoods);

    /**
     * 根据申请id 查询
     *
     * @param wmsGoodsLog
     * @return
     */
    List<StoreGoods> findByApplyId(StoreGoodsApply wmsGoodsLog);

    List<StoreGoods> findByIdGoods(int id);

    StoreGoods findByOss(int id);

    List<OssInfo> findOss(StoreGoods storeGoods);

    StoreGoods queryWmsGoods(StoreGoods storeGoods);
}
