package org.rcisoft.bus.storegoodsapply.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.bus.storegoodsapply.dto.AddStoreGoodsApplyDTO;
import org.rcisoft.bus.storegoodsapply.entity.StoreGoodsApply;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.model.CyPersistModel;

import java.util.List;

/**
 * Created by cy on 2024年5月29日 下午1:21:49.
 */
public interface StoreGoodsApplyService {

    /**
    * 保存 商品申请表
    * @param storeGoodsApply
    * @return
    */
    CyPersistModel persist(StoreGoodsApply storeGoodsApply);

    String appCode();

    /**
    * 删除 商品申请表
    * @param storeGoodsApply
    * @return
    */
    CyPersistModel remove(StoreGoodsApply storeGoodsApply);

    /**
    * 逻辑删除 商品申请表
    * @param storeGoodsApply
    * @return
    */
    CyPersistModel removeLogical(StoreGoodsApply storeGoodsApply);

    /**
    * 修改 商品申请表
    * @param storeGoodsApply
    * @return
    */
    CyPersistModel merge(StoreGoodsApply storeGoodsApply);

    /**
    * 根据id查询 商品申请表
    * @param id
    * @return
    */
    StoreGoodsApply findById(int id);

    /**
    * 分页查询 商品申请表
    * @param storeGoodsApply
    * @return
    */
    IPage<StoreGoodsApply> findAllByPagination(CyPageInfo<StoreGoodsApply> paginationUtility,
                                               StoreGoodsApply storeGoodsApply);

    IPage<StoreGoodsApply> OutfindAllByPagination(CyPageInfo<StoreGoodsApply> paginationUtility,
                                                  StoreGoodsApply storeGoodsApply);

    /**
    * 查询list 商品申请表
    * @param storeGoodsApply
    * @return
    */
    List<StoreGoodsApply> findAll(StoreGoodsApply storeGoodsApply);


    /**
    * 导出商品申请表
    * @return
    */
    List<StoreGoodsApply> export(StoreGoodsApply storeGoodsApply);

    CyPersistModel batchPersist(AddStoreGoodsApplyDTO wmsGoodsApply);
    CyPersistModel batchOutPersist(AddStoreGoodsApplyDTO wmsGoodsApply);

    StoreGoodsApply findByIdOut(int id);
}
