package org.rcisoft.bus.storegoodsstock.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.bus.storegoodsstock.dto.StoreGoodsStockPageResultsDto;
import org.rcisoft.bus.storegoodsstock.entity.StoreGoodsStock;
import org.rcisoft.bus.wmsgoods.entity.WmsGoods;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.model.CyPersistModel;

import java.util.List;

/**
 * Created by cy on 2024年5月29日 下午1:21:49.
 */
public interface StoreGoodsStockService {

    /**
    * 保存 库存管理表
    * @param storeGoodsStock
    * @return
    */
    CyPersistModel persist(StoreGoodsStock storeGoodsStock);

    /**
    * 删除 库存管理表
    * @param storeGoodsStock
    * @return
    */
    CyPersistModel remove(StoreGoodsStock storeGoodsStock);

    /**
    * 逻辑删除 库存管理表
    * @param storeGoodsStock
    * @return
    */
    CyPersistModel removeLogical(StoreGoodsStock storeGoodsStock);

    /**
    * 修改 库存管理表
    * @param storeGoodsStock
    * @return
    */
    CyPersistModel merge(StoreGoodsStock storeGoodsStock);
    CyPersistModel updateCounts(StoreGoodsStock storeGoodsStock);


    /**
    * 根据id查询 库存管理表
    * @param id
    * @return
    */
    StoreGoodsStock findById(int id);
    StoreGoodsStock findByIdOut(int id);

    /**
    * 分页查询 库存管理表
    * @param storeGoodsStock
    * @return
    */
    IPage<StoreGoodsStockPageResultsDto> findAllByPagination(CyPageInfo<StoreGoodsStockPageResultsDto> paginationUtility,
                                                             StoreGoodsStockPageResultsDto storeGoodsStock);


    /**
    * 查询list 库存管理表
    * @param storeGoodsStock
    * @return
    */
    List<StoreGoodsStock> findAll(StoreGoodsStock storeGoodsStock);


    /**
    * 导出库存管理表
    * @return
    */
    List<StoreGoodsStock> export(StoreGoodsStock storeGoodsStock);

    /**
     * 查询 stock
     * @param wmsGoods
     * @return
     */
    StoreGoodsStock queryWmsGoodsStock(WmsGoods wmsGoods);
}
