package org.rcisoft.bus.wmsgoodsstock.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.bus.wmsgoods.entity.WmsGoods;
import org.rcisoft.bus.wmsgoodsstock.dto.WmsGoodsStockPageResultsDto;
import org.rcisoft.bus.wmsgoodsstock.entity.WmsGoodsStock;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.model.CyPersistModel;

import java.util.List;

/**
 * Created by cy on 2024年5月29日 下午1:21:49.
 */
public interface WmsGoodsStockService {

    /**
    * 保存 库存管理表
    * @param wmsGoodsStock
    * @return
    */
    CyPersistModel persist(WmsGoodsStock wmsGoodsStock);

    /**
    * 删除 库存管理表
    * @param wmsGoodsStock
    * @return
    */
    CyPersistModel remove(WmsGoodsStock wmsGoodsStock);

    /**
    * 逻辑删除 库存管理表
    * @param wmsGoodsStock
    * @return
    */
    CyPersistModel removeLogical(WmsGoodsStock wmsGoodsStock);

    /**
    * 修改 库存管理表
    * @param wmsGoodsStock
    * @return
    */
    CyPersistModel merge(WmsGoodsStock wmsGoodsStock);
    CyPersistModel updateCounts(WmsGoodsStock wmsGoodsStock);


    /**
    * 根据id查询 库存管理表
    * @param id
    * @return
    */
    WmsGoodsStock findById(int id);
    WmsGoodsStock findByIdOut(int id);

    /**
    * 分页查询 库存管理表
    * @param wmsGoodsStock
    * @return
    */
    IPage<WmsGoodsStockPageResultsDto> findAllByPagination(CyPageInfo<WmsGoodsStockPageResultsDto> paginationUtility,
                                                           WmsGoodsStockPageResultsDto wmsGoodsStock);


    /**
    * 查询list 库存管理表
    * @param wmsGoodsStock
    * @return
    */
    List<WmsGoodsStock> findAll(WmsGoodsStock wmsGoodsStock);


    /**
    * 导出库存管理表
    * @return
    */
    List<WmsGoodsStock> export(WmsGoodsStock wmsGoodsStock);

    /**
     * 查询 stock
     * @param wmsGoods
     * @return
     */
    WmsGoodsStock queryWmsGoodsStock(WmsGoods wmsGoods);
}
